import Vue from 'vue';
import Router from 'vue-router';
const originalPush = Router.prototype.push
Router.prototype.push = function push(location) {
    return originalPush.call(this, location).catch(err => err)
}
Vue.use(Router);

const route = new Router({
    // mode: 'history',
    mode: 'hash',
    base: process.env.BASE_URL,
    routes: [
        {
            path: '/',
			redirect: '/dashboard',
        },
		{
		    path: '/dashboard',
		    component: () => import('../components/page/Dashboard.vue'),
		    meta: { title: '首页' }
		}
    ]
});

export default route
